﻿/************************************************
 Form classes
*************************************************/

form.form {
    width: 100%;
    padding: 0;
    margin: 0 0 15px 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

p.memberzone-loginheader {
    margin-top: 0px;
    margin-bottom: 12px;
}

form.contact {
}

form.memberzone {
    padding: 0;
}

form.shop-product {
	margin-top: -20px;
}

p.memberzone-loginheader {
    margin-top: 0px;
    margin-bottom: 12px;
}

.form p.form-comment {
    margin-top: 5px;
    margin-bottom: 8px;
}

.form hr.delimiterline {
    border: 0;
    height: 1px;
    background-image: -webkit-linear-gradient(left, rgba(0,0,0,0.15), rgba(0,0,0,0.15), rgba(0,0,0,0.15));
    background-image: -moz-linear-gradient(left, rgba(0,0,0,0.15), rgba(0,0,0,0.15), rgba(0,0,0,0.15));
    margin: 26px 0 26px 0;
}

/**** AJAX ****/
.coma2-hidden {display: none;}
.no-float {float: none !important;}
.form-result-message:empty {display: none;}

.form-result-message {
	margin: 25px 0 0 0;
	border: 1px solid #a3a3a3;
}

.form-result-message .result-success {
	margin: 0;
	padding: 15px;
	background-color: #ddffdd;
}

.form-result-message .result-error {
	margin: 0;
	padding: 15px;
	background-color: #ffadad;
}

.form-result-message .result-success i {color: green;}
.form-result-message .result-error   i {color: red;}

/************************************************
 Buttons
*************************************************/

input.formbutton {
    position: relative;
    background-color: #ff1a43;
    border: 2px solid #ff1a43;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-size: 16px;
    font-weight: 400;
    height: 44px;
    line-height: 36px;
    margin: 10px 0 0 0;
    outline: 0 none;
    padding: 0 21px;
    text-align: center;
    transition: all 0.3s ease-in-out;
    white-space: nowrap;
    width: auto;
}

    input.formbutton:hover {
        background-color: #fff;
        border: 2px solid #ff1a43;
        color: #ff1a43;
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

a.formbutton {
    background-color: #ff1a43;
    border: 2px solid #ff1a43;
    border-radius: 0;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0.04em;
    height: 44px;
    line-height: 39px;
    margin: 10px 0 0 0;
    outline: 0 none;
    padding: 0 21px;
    position: relative;
    text-align: left;
    text-decoration: none;
    text-shadow: none;
    text-transform: uppercase;
    transition: color 0.3s ease-in-out 0, background-color 0.3s ease-in-out 0, border-color 0.3s ease-in-out 0;
    white-space: nowrap;
    width: auto;
}

    a.formbutton:hover {
        background-color: #fff;
        border: 2px solid #ff1a43;
        color: #ff1a43;
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

input.formbutton:disabled {
    background-color: #d6d6d6;
    border: 2px solid #d6d6d6;
    color: #f5f5f5;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

input.submit {
}

input.reset {
    margin-left: 6px;
}

/************************************************
 Form fields classes
*************************************************/

.control-group {
    overflow: hidden;
    width: 100%;
    padding-top: 3px;
    padding-bottom: 3px;
}

.checkboxes {
    padding-top: 1px;
    padding-bottom: 2px;
}

.control-label {
    display: none;
}

.controls {
    float: left;
    width: 100%;
    max-width: 550px;
}

.control-group .required {
    margin-left: 4px;
    font-size: 14px;
    line-height: 16px;
    font-weight: bold;
    color: #d55;
    font-style: normal;
}

    .control-group .required:after {
        content: "*";
    }

/************************************************
 Form Fields Types
*************************************************/

.controls .font {
    font-size: 16px;
    color: #646464;
    font-weight: 400;
}

.controls .border {
	border: 2px dotted #ac04ff !important;
	border-bottom: 3px solid #ac04ff !important;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 0;
}

.controls .textbox {
    background-color: #ac04ff;
    color: #646464;
    font-family: inherit;
    font-size: inherit;
    line-height: 18px;
    margin: 0 0 10px;
    outline: 0 none;
    padding: 10px 17px;
    position: relative;
    resize: none;
    width: 100%;
}

.controls .password {
    background-color: #ac04ff;
    color: #646464;
    font-family: inherit;
    font-size: inherit;
    line-height: 18px;
    margin: 0 0 10px;
    outline: 0 none;
    padding: 10px 17px;
    position: relative;
    resize: none;
    width: 100%;
}

.controls .textarea {
    display: block;
    background-color: #ac04ff;
    color: #646464;
    font-family: inherit;
    font-size: inherit;
    line-height: 18px;
    margin: 0 0 10px;
    outline: 0 none;
    padding: 10px 17px;
    position: relative;
    width: 100%;
    min-height: 150px;
    resize: vertical;
}

.controls .datetime {
    background-color: #ac04ff;
    color: #646464;
    font-family: inherit;
    font-size: inherit;
    line-height: 18px;
    margin: 0 0 10px;
    outline: 0 none;
    padding: 10px 17px;
    position: relative;
    resize: none;
    width: 56%;
}

.controls .date {
    background-color: #ac04ff;
    color: #646464;
    font-family: inherit;
    font-size: inherit;
    line-height: 18px;
    margin: 0 0 10px;
    outline: 0 none;
    padding: 10px 17px;
    position: relative;
    resize: none;
    width: 50%;
}

.controls .dropdown {
    background-color: #ac04ff;
    color: #646464;
    font-family: inherit;
    font-size: inherit;
    line-height: 18px;
    margin: 0 0 10px;
    outline: 0 none;
    padding: 10px 17px;
    position: relative;
    resize: none;
    width: 50%;
    min-width: 150px;
}

.controls input.formfield-invalid:invalid,
.controls textarea.formfield-invalid:invalid {
	background-color: rgb(62 85 161 / 9%);
	transition: all 0.3s ease;
}

/************************************************
 Checkboxes & Radiobuttons
*************************************************/

.controls .checkbox {
    margin-left: 0;
}

.controls .checkbox-left {
    margin-left: 1px;
}

.radiobutton-group {
    padding-bottom: 12px;
}

.radiobuttons-label {
    float: none;
    margin-top: 1px;
    margin-bottom: 20px;
}

.radiobuttons-left {
    float: none;
}

.controls label.checkbox-label,
.controls label.radiobutton-label {
    margin-bottom: -1px;
    position: relative;
    top: -2px;
}

.controls input[type=checkbox]:not(old),
.controls input[type=radio]:not(old) {
    width: 1px;
    margin: 0;
    padding: 0;
    opacity: 0;
    min-height: 0 !important;
    left: 12px;
    height: 19px; /* coz of hupfic */
}

    .controls input[type=checkbox]:not(old) + label,
    .controls input[type=radio]:not(old) + label {
        display: inline-block;
        margin-left: 0px;
        padding-left: 27px;
        background: url('/pic/checks.png') no-repeat 0 0;
        line-height: 22px;
        height: 20px; /* auto !important */
    }

.controls input[type=checkbox]:not(old):checked + label {
    background-position: 0 -24px;
}

.controls input[type=radio]:not(old):checked + label {
    background-position: 0 -48px;
}

/************************************************
 New Form fields classes / Overrides
*************************************************/

.controls .border {
    background-color: #fff;
    position: relative;
    margin-bottom: 10px;
}

.controls .dropdown.newstyle {
    width: 100%;
    padding-left: 13px; /* adapt if needed */
}

/* Reset and setup new input fields */
.controls .newstyle {
    margin: 0;
    border: none;
    background-color: transparent;
    transition: all 0.3s ease;
}

.controls label {
    position: absolute;
    top: 7px;
    margin-left: 17px; /* adapt if needed */
    cursor: default;
    font-weight: 400;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
	transition: all 0.3s ease;
}

.controls.expanded label {
    top: 5px;
    opacity: 0.7;
    font-size: 11px;
	z-index: 10;
}

.controls.expanded .pleasechoose {
    display: none;
}

.controls.expanded .newstyle {
    padding-top: 30px;
    transition: all 0.3s ease;
}

/* Disable auto fill background colors for Chrome */
@-webkit-keyframes autofill {
    to {
        background: transparent;
    }
}

input:-webkit-autofill {
    -webkit-animation-name: autofill;
    -webkit-animation-fill-mode: both;
}

/************************************************
 Search form & results
*************************************************/

form.search {
    padding: 0;
}

p.search-header {
    margin-top: 0px;
    margin-bottom: 12px;
}

.web-search {
	padding-top: 15px;
	padding-bottom: 15px;
}

.web-search > span {
    display: block;
    overflow: hidden;
    padding-right: 12px;
}

.web-search-icon {
    display: inline-block;
    margin-top: 12px;
    margin-right: 22px;
    float: right;
    cursor: pointer;
    font-size: 18px;
    color: #696969;
    -moz-transition: color .2s ease-out, background .2s ease-in;
    -webkit-transition: color .2s ease-out, background .2s ease-in;
}

.web-searchbox {
    border: 1px solid #8c8c8c;
    border-radius: 0;
    box-shadow: 0 1px 3px rgb(0 0 0 / 10%) inset;
    box-sizing: border-box;
    color: #646464;
    display: block;
    font-family: 'Roboto', Arial, Helvetica, sans-serif;
    font-size: 16px;
    font-weight: 400;
    height: 44px;
    line-height: 18px;
    margin-left: 15px;
    margin-bottom: 4px;
    padding: 12px;
    width: 93%;
}

p.searchresults {
    margin-top: 0px;
    margin-bottom: 12px;
}

ul.searchresults {
    margin-left: 0px;
    margin-right: 0px;
    padding: 0;
    list-style: none;
	display: flex;
    flex-wrap: wrap;
	column-gap: 15px;
}

li.searchresult h4 {
    padding: 4px 0;
    margin-bottom: 6px;
}

li.searchresult {
	padding: 15px 20px;
    margin-bottom: 15px;
    background-color: #fff;
	-webkit-box-shadow: 5px 5px 15px 5px rgba(0,0,0,0.08); 
	box-shadow: 5px 5px 15px 5px rgba(0,0,0,0.08);
}

li.searchresult {
	flex-grow: 1;
	width: calc(( 100% - 30px ) / 3 );
    max-width: calc(( 100% - 30px ) / 3 );
}

@media (max-width: 767.98px) {
	li.searchresult {
		width: calc(( 100% - 30px ) / 2 );
		max-width: calc(( 100% - 30px ) / 2 );
	}
}

@media (max-width: 575.98px) {
	li.searchresult {
		width: 100%;
		max-width: 100%;
	}
}

li.searchresult::before {
	content: "" !important;
	margin-left: -5px !important;
}

    li.searchresult:hover {
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

        li.searchresult:hover h4 {
            color: #646464;
            cursor: pointer;
            -webkit-transition: all 0.3s ease;
            -moz-transition: all 0.3s ease;
            transition: all 0.3s ease;
        }

    li.searchresult a.search-title {
        text-decoration: none !important;
		display: inline-block;
    }

    li.searchresult h4.search-title {
        margin: 2px 0 5px 0;
        padding: 0;
    }

    li.searchresult p.search-content {
        margin: 0 0 6px 0;
        padding: 0;
    }

    li.searchresult p.search-moddates {
        margin: 0;
        padding: 0;
        font-size: 10px;
    }

i.markedterm {
    background-color: #FFFBAA;
    font-style: normal;
    font-weight: bold;
    animation: blinkermarkedterm 0.7s cubic-bezier(.5, 0, 1, 1) infinite alternate;
    -webkit-animation: blinkermarkedterm 0.7s cubic-bezier(.5, 0, 1, 1) infinite alternate;
}

@keyframes blinkermarkedterm {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0.6;
    }
}

@-webkit-keyframes blinkermarkedterm {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0.6;
    }
}

/************************************************
 Page Navigator
*************************************************/

nav.page-navigator {
    overflow: hidden;
    margin: 8px 0 0 0;
    padding: 0;
}

    nav.page-navigator a {
        text-decoration: none;
        color: #333;
    }

div.pg-nav-box {
    background-color: #f8f8f8;
    float: left;
    margin-right: 5px;
    border: 1px solid #ddd;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

    div.pg-nav-box:hover {
        background-color: #ddd;
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

div.pg-nav-page {
    float: left;
    border: 1px solid #ddd;
    padding: 1px 6px;
}

div.pg-nav-active {
    background-color: #ddd !important;
}

div.pg-nav-back,
div.pg-nav-forward {
    padding: 1px 6px;
    font-size: 11px;
}

/************************************************
 Container Layers
*************************************************/

hr.layer_spacer {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    clear: both;
}

.layer_wysiwyg {
}

/************************************************
 Google Maps
*************************************************/

p.route-planer {
	margin-top: 20px;
    margin-bottom: 0;
}

div.googlemaps-map {
    height: 650px;
}

/************************************************
 Captcha
*************************************************/

form.form.contact > .control-group:first-of-type {
    display: none;
}

.captcha {
}

    .captcha p {
        margin: 3px 0 10px 0;
    }

    .captcha .captcha-icons {
        font-size: 2em !important;
        padding-bottom: 10px;
        margin-left: -4px;
        cursor: pointer;
    }

    .captcha .captcha-icon {
        float: left;
        overflow: hidden;
    }

    .captcha .captcha-icon-frame {
        color: #848484;
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

    .captcha .captcha-icon-frame-selected {
        color: #ac04ff; /* eg. website accent color */
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

    .captcha .captcha-icon:hover .captcha-icon-frame {
        color: #bfbfbf;
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

    .captcha .captcha-icon-symbol {
        color: #fff; /* Same as body color! */
        top: -1px;
    }

/************************************************
 Cookie data protection
*************************************************/

.cookie-dataprotection-container {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    z-index: 32767;
    box-shadow: 0px 0 10px rgba(0, 0, 0, 0.4);
}

    .cookie-dataprotection-container .cookie-message {
        cursor: pointer;
        position: relative;
        padding: 35px 55px 35px 35px;
        margin: 0;
        background-color: #f9f9f9;
        color: #6f6f6f;
        /* font-family: "Open Sans", sans-serif;
		font-size: 15px;
		font-weight: 300;
		line-height: 1.42857143; */
    }

    .cookie-dataprotection-container a {
        color: #333745;
    }

    .cookie-dataprotection-container .cookie-close {
        font-size: 16px;
        color: #6f6f6f;
        position: absolute;
        top: 17px;
        right: 12px;
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

        .cookie-dataprotection-container .cookie-close:hover {
            color: #009db4;
            -webkit-transition: all 0.3s ease;
            -moz-transition: all 0.3s ease;
            transition: all 0.3s ease;
        }

        .cookie-dataprotection-container .cookie-close .fa-times {
            position: absolute;
            top: -2px;
        }

/************************************************
 WEITERLESEN-Element
*************************************************/

.readmore-style {
    cursor: pointer;
    -webkit-transition: all 0.3s cubic-bezier(0.3, 1, 0.3, 1);
    -moz-transition: all 0.3s ease;
    transition: all 0.3s cubic-bezier(0.3, 1, 0.3, 1);
}

    .readmore-style:hover {
        color: #000; /* Akzent */
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

blockquote:empty {
    display: none;
}
